<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>XML</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XML";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":41,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XML.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../aasbo/json/Property.html" title="class in aasbo.json"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../aasbo/json/XMLTokener.html" title="class in aasbo.json"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aasbo/json/XML.html" target="_top">Frames</a></li>
<li><a href="XML.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">aasbo.json</div>
<h2 title="Class XML" class="title">Class XML</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>aasbo.json.XML</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">XML</span>
extends java.lang.Object</pre>
<div class="block">This provides static methods to convert an XML text into a JSONObject, and to
 covert a JSONObject into an XML text.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2016-01-30</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>JSON.org</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#AMP">AMP</a></span></code>
<div class="block">The Character '&amp;'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#APOS">APOS</a></span></code>
<div class="block">The Character '''.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#BANG">BANG</a></span></code>
<div class="block">The Character '!'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#EQ">EQ</a></span></code>
<div class="block">The Character '='.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#GT">GT</a></span></code>
<div class="block">The Character '>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#LT">LT</a></span></code>
<div class="block">The Character '&lt;'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#QUEST">QUEST</a></span></code>
<div class="block">The Character '?'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#QUOT">QUOT</a></span></code>
<div class="block">The Character '"'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#SLASH">SLASH</a></span></code>
<div class="block">The Character '/'.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#XML--">XML</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#escape-java.lang.String-">escape</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Replace special characters with XML escapes:</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#noSpace-java.lang.String-">noSpace</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Throw an exception if the string contains whitespace.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#parse-aasbo.json.XMLTokener-aasbo.json.JSONObject-java.lang.String-">parse</a></span>(<a href="../../aasbo/json/XMLTokener.html" title="class in aasbo.json">XMLTokener</a>&nbsp;x,
     <a href="../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;context,
     java.lang.String&nbsp;name)</code>
<div class="block">Scan the content following the named tag, attaching it to the context.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#stringToValue-java.lang.String-">stringToValue</a></span>(java.lang.String&nbsp;string)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../aasbo/json/JSONObject.html#stringToValue-java.lang.String-"><code>JSONObject.stringToValue(String)</code></a> instead.</span></div>
</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#toJSONObject-java.lang.String-">toJSONObject</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#toString-java.lang.Object-">toString</a></span>(java.lang.Object&nbsp;object)</code>
<div class="block">Convert a JSONObject into a well-formed, element-normal XML string.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/json/XML.html#toString-java.lang.Object-java.lang.String-">toString</a></span>(java.lang.Object&nbsp;object,
        java.lang.String&nbsp;tagName)</code>
<div class="block">Convert a JSONObject into a well-formed, element-normal XML string.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="AMP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AMP</h4>
<pre>public static final&nbsp;java.lang.Character AMP</pre>
<div class="block">The Character '&amp;'.</div>
</li>
</ul>
<a name="APOS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>APOS</h4>
<pre>public static final&nbsp;java.lang.Character APOS</pre>
<div class="block">The Character '''.</div>
</li>
</ul>
<a name="BANG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BANG</h4>
<pre>public static final&nbsp;java.lang.Character BANG</pre>
<div class="block">The Character '!'.</div>
</li>
</ul>
<a name="EQ">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EQ</h4>
<pre>public static final&nbsp;java.lang.Character EQ</pre>
<div class="block">The Character '='.</div>
</li>
</ul>
<a name="GT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GT</h4>
<pre>public static final&nbsp;java.lang.Character GT</pre>
<div class="block">The Character '>'.</div>
</li>
</ul>
<a name="LT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LT</h4>
<pre>public static final&nbsp;java.lang.Character LT</pre>
<div class="block">The Character '&lt;'.</div>
</li>
</ul>
<a name="QUEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUEST</h4>
<pre>public static final&nbsp;java.lang.Character QUEST</pre>
<div class="block">The Character '?'.</div>
</li>
</ul>
<a name="QUOT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUOT</h4>
<pre>public static final&nbsp;java.lang.Character QUOT</pre>
<div class="block">The Character '"'.</div>
</li>
</ul>
<a name="SLASH">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SLASH</h4>
<pre>public static final&nbsp;java.lang.Character SLASH</pre>
<div class="block">The Character '/'.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="XML--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>XML</h4>
<pre>public&nbsp;XML()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="escape-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>escape</h4>
<pre>public static&nbsp;java.lang.String&nbsp;escape(java.lang.String&nbsp;string)</pre>
<div class="block">Replace special characters with XML escapes:
 
 <pre>
 &amp; <small>(ampersand)</small> is replaced by &amp;amp;
 &lt; <small>(less than)</small> is replaced by &amp;lt;
 &gt; <small>(greater than)</small> is replaced by &amp;gt;
 &quot; <small>(double quote)</small> is replaced by &amp;quot;
 </pre></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - The string to be escaped.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The escaped string.</dd>
</dl>
</li>
</ul>
<a name="noSpace-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noSpace</h4>
<pre>public static&nbsp;void&nbsp;noSpace(java.lang.String&nbsp;string)
                    throws <a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></pre>
<div class="block">Throw an exception if the string contains whitespace. Whitespace is not
 allowed in tagNames and attributes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - A string.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></code></dd>
</dl>
</li>
</ul>
<a name="parse-aasbo.json.XMLTokener-aasbo.json.JSONObject-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parse</h4>
<pre>private static&nbsp;boolean&nbsp;parse(<a href="../../aasbo/json/XMLTokener.html" title="class in aasbo.json">XMLTokener</a>&nbsp;x,
                             <a href="../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;context,
                             java.lang.String&nbsp;name)
                      throws <a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></pre>
<div class="block">Scan the content following the named tag, attaching it to the context.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - The XMLTokener containing the source string.</dd>
<dd><code>context</code> - The JSONObject that will include the new material.</dd>
<dd><code>name</code> - The tag name.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the close tag is processed.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></code></dd>
</dl>
</li>
</ul>
<a name="stringToValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stringToValue</h4>
<pre>public static&nbsp;java.lang.Object&nbsp;stringToValue(java.lang.String&nbsp;string)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../aasbo/json/JSONObject.html#stringToValue-java.lang.String-"><code>JSONObject.stringToValue(String)</code></a> instead.</span></div>
<div class="block">This method has been deprecated in favor of the
 <code>JSONObject.stringToValue(String)</code> method. Use it instead.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>JSON value of this string or the string</dd>
</dl>
</li>
</ul>
<a name="toJSONObject-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toJSONObject</h4>
<pre>public static&nbsp;<a href="../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;toJSONObject(java.lang.String&nbsp;string)
                               throws <a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></pre>
<div class="block">Convert a well-formed (but not necessarily valid) XML string into a
 JSONObject. Some information may be lost in this transformation because
 JSON is a data format and XML is a document format. XML uses elements,
 attributes, and content text, while JSON uses unordered collections of
 name/value pairs and arrays of values. JSON does not does not like to
 distinguish between elements and attributes. Sequences of similar
 elements are represented as JSONArrays. Content text may be placed in a
 "content" member. Comments, prologs, DTDs, and <code>&lt;[ [ ]]></code>
 are ignored.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - The source string.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A JSONObject containing the structured data from the XML string.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></code></dd>
</dl>
</li>
</ul>
<a name="toString-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;toString(java.lang.Object&nbsp;object)
                                 throws <a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></pre>
<div class="block">Convert a JSONObject into a well-formed, element-normal XML string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - A JSONObject.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A string.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></code></dd>
</dl>
</li>
</ul>
<a name="toString-java.lang.Object-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;toString(java.lang.Object&nbsp;object,
                                        java.lang.String&nbsp;tagName)
                                 throws <a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></pre>
<div class="block">Convert a JSONObject into a well-formed, element-normal XML string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - A JSONObject.</dd>
<dd><code>tagName</code> - The optional name of the enclosing tag.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A string.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aasbo/json/JSONException.html" title="class in aasbo.json">JSONException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XML.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../aasbo/json/Property.html" title="class in aasbo.json"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../aasbo/json/XMLTokener.html" title="class in aasbo.json"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aasbo/json/XML.html" target="_top">Frames</a></li>
<li><a href="XML.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
